Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query.protege
Class ProfileIndividualInfo

    java.lang.Object
      de.uka.cmtm.serviceregistry.query.protege.ProfileIndividualInfo

    public class ProfileIndividualInfo

extends Object

This class describes the parameters of the search for service profile individuals used by ProfileIndividualLocator.

Author:
  tilmann

Constructor Summary
`ProfileIndividualInfo()`

Method Summary
`RDFSLiteral` | `getDescription()`
`Set<OWLIndividual>` | `getEffects()`
`Set<OWLIndividual>` | `getLogicalInputs()`
`Set<OWLIndividual>` | `getLogicalOutputs()`
`Set<OWLIndividual>` | `getPreconditions()`
`OWLIndividual` | `getProfile()`
`Set<OWLIndividual>` | `getUserRoles()`
`void` | `setDescription(RDFSLiteral description)`
`void` | `setEffects(Set<OWLIndividual> effects)`
`void` | `setLogicalInputs(Set<OWLIndividual> logicalInputs)`
`void` | `setLogicalOutputs(Set<OWLIndividual> logicalOutputs)`
`void` | `setPreconditions(Set<OWLIndividual> preconditions)`
`void` | `setProfile(OWLIndividual profile)`
`void` | `setUserRoles(Set<OWLIndividual> userRoles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileIndividualInfo

    public ProfileIndividualInfo()

Method Detail

### getProfile

    public OWLIndividual getProfile()

  Returns:
    Returns the profile.

### setProfile

    public void setProfile(OWLIndividual profile)

  Parameters:
    `profile` - The profile to set.

### getEffects

    public Set<OWLIndividual> getEffects()

  Returns:
    Returns the effects.

### setEffects

    public void setEffects(Set<OWLIndividual> effects)

  Parameters:
    `effects` - The effects to set.

### getLogicalInputs

    public Set<OWLIndividual> getLogicalInputs()

  Returns:
    Returns the logicalInputs.

### setLogicalInputs

    public void setLogicalInputs(Set<OWLIndividual> logicalInputs)

  Parameters:
    `logicalInputs` - The logicalInputs to set.

### getLogicalOutputs

    public Set<OWLIndividual> getLogicalOutputs()

  Returns:
    Returns the logicalOutputs.

### setLogicalOutputs

    public void setLogicalOutputs(Set<OWLIndividual> logicalOutputs)

  Parameters:
    `logicalOutputs` - The logicalOutputs to set.

### getPreconditions

    public Set<OWLIndividual> getPreconditions()

  Returns:
    Returns the preconditions.

### setPreconditions

    public void setPreconditions(Set<OWLIndividual> preconditions)

  Parameters:
    `preconditions` - The preconditions to set.

### getUserRoles

    public Set<OWLIndividual> getUserRoles()

  Returns:
    Returns the userRoles.

### setUserRoles

    public void setUserRoles(Set<OWLIndividual> userRoles)

  Parameters:
    `userRoles` - The userRoles to set.

### getDescription

    public RDFSLiteral getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(RDFSLiteral description)

  Parameters:
    `description` - the description to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD